% Atomic Decomposition into Wavelet Packets by Matching Pursuit of the 
% signal Linchirp.asc
% 

load linchirp.asc;
x=linchirp;

    n=length(x);
	qmf = MakeONFilter('Coiflet',3);
	D   = log2(n);     

WPPursuit(x,D,qmf,n,0.,1);


% "Complex and Chaotic Nonlinear Dynamics. 
% Advances in Economics and Finance, 
% Mathematics and Statistics" 
% T.Vialar, Springer 2009.
% Copyright(c).
